# std::tr1::geometric_distribution< _IntType, _RealType > Class Template Reference
[Discrete Distributions]

List of all members.

## Detailed Description

### template<typename _IntType = int, typename _RealType = double>
class std::tr1::geometric_distribution< _IntType, _RealType >

The formula for the geometric probability mass function is where is the parameter of the distribution.

Definition at line 1743 of file random.

## Public Types

- typedef _RealType input_type
- typedef _IntType result_type

## Public Member Functions

- geometric_distribution (const _RealType &__p=_RealType(0.5))
- template<class _UniformRandomNumberGenerator> result_type operator() (_UniformRandomNumberGenerator &__urng)
- _RealType p () const
- void reset ()

## Friends

- template<typename _IntType1, typename _RealType1, typename _CharT, typename _Traits> std::basic_ostream< _CharT,
  _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const geometric_distribution< _IntType1, _RealType1 > &__x)
- template<typename _CharT, typename _Traits> std::basic_istream< _CharT,
  _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, geometric_distribution &__x)

## Member Function Documentation

template<typename _IntType = int, typename _RealType = double>

_RealType std::tr1::geometric_distribution< _IntType, _RealType >::p | ( |  | ) | const`[inline]`

Gets the distribution parameter `p`.

Definition at line 1763 of file random.

## Friends And Related Function Documentation

template<typename _IntType = int, typename _RealType = double>
template<typename _IntType1, typename _RealType1, typename _CharT, typename _Traits>

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const geometric_distribution< _IntType1, _RealType1 > & | __x |
| ) |  |  | `[friend]`

Inserts a geometric_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A geometric_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

template<typename _IntType = int, typename _RealType = double>
template<typename _CharT, typename _Traits>

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | geometric_distribution< _IntType, _RealType > & | __x |
| ) |  |  | `[friend]`

Extracts a geometric_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A geometric_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

Definition at line 1800 of file random.

The documentation for this class was generated from the following files:

- random
- random.tcc